КПП
Отримує список контрольних точок криптографічної синхронізації, згенерований вузлом Prover, що дозволяє клієнтам перевіряти цілісність даних щодо певної висоти блоку.
Кінцева точка
POST https://indexer.zcashnames.co/v1.0/checkpoints
Тіло запиту
Тіло запиту має бути об’єктом JSON із такими параметрами:
| Параметр | Тип | За замовчуванням | Опис |
|---|---|---|---|
count | integer | 100 | Обмежте максимальну кількість контрольних точок, що повертаються в одній відповіді. |
from_block | integer | Жодного | Запитуйте дані контрольної точки, починаючи з цієї конкретної висоти блоку. |
order | string | desc | Порядок сортування контрольних точок. Прийнятні значення: asc або desc. |
Приклади коду
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.zcashnames.co/v1.0/checkpoints \
-H "Content-Type: application/json" \
-d '{
"count": 2,
"from_block": 1,
"order": "asc"
}'
const url = 'https://indexer.zcashnames.co/v1.0/checkpoints';
const data = {
count: 2,
from_block: 1,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/checkpoints"
payload = {
"count": 2,
"from_block": 1,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/checkpoints';
$data = [
'count' => 2,
'from_block' => 1,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
Приклад відповіді
{
"response": [
{
"block_id": 3422048,
"smt_root": "b4c9dacf8e194e353dce7638d76f282fe40399f7b0ad74a2229a6d4f5be774de",
"evm_block_id": 290453948,
"evm_tx_hash": "0xcfc86b34ad55450b73511d9ce5b5d33e5e0e2366ceb7ae7e81bdcce62f57de38"
},
{
"block_id": 3422335,
"smt_root": "eba675788f0fbf1df8a3c32e83da3e71dfd9337cca5a7c8ae2f51e963d03be17",
"evm_block_id": 290504572,
"evm_tx_hash": "0x9f943993b6e6430fe3da448c52b122342c0a629e7eca520d1d22df063c22002b"
}
]
}
| Поле | Тип | Опис |
|---|---|---|
block_id | int | Останній ZCash block_id, включений у контрольну точку |
smt_root | рядок | Корінь SMT Checkpoint |
evm_block_id | рядок | EVM block_id створення контрольної точки |
evm_tx_hash | рядок | EVM tx_hash створення контрольної точки |